package Net::Amazon::EMR::DescribeStepResult;
use Moose;
with 'Net::Amazon::EMR::Role::AttrHash';
use Net::Amazon::EMR::Coercions;


has 'Step' => ( is => 'ro',
                isa => 'Net::Amazon::EMR::Type::Step',
                coerce => 1 );


__PACKAGE__->meta->make_immutable();

1;

__END__

=head1 NAME

Net::Amazon::EMR::DescribeStepResult

=head1 DESCRIPTION

Implements the DescribeStep result type described at L<http://docs.amazonwebservices.com/ElasticMapReduce/latest/API/API_DescribeStep.html>.

=head1 AUTHOR

Jon Schutz 

L<http://notes.jschutz.net>

=head1 DOCUMENTATION, LICENSE AND COPYRIGHT

See L<Net::Amazon::EMR>.

=cut
